﻿Option Strict On
Imports Windows.UI.Popups
Imports Windows.UI.StartScreen
' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
''' 
Public Class ImageInfo
    Property ImageName As String
End Class
Public NotInheritable Class MainPage
    Inherits Page

    ''' <summary>
    ''' このページがフレームに表示されるときに呼び出されます。
    ''' </summary>
    ''' <param name="e">このページにどのように到達したかを説明するイベント データ。Parameter 
    ''' プロパティは、通常、ページを構成するために使用します。</param>
    ''' 
    Dim myUri As String
    Dim xmldoc As XElement
    Protected Overrides Sub OnNavigatedTo(e As Navigation.NavigationEventArgs)
        xmldoc = XElement.Load("Tile.xml")
        Dim myImageInfo As New List(Of ImageInfo)
        For Each result In From c In xmldoc.Descendants("ImageName") Select c
            myImageInfo.Add(New ImageInfo With {.ImageName = "ms-appx:///Images/" & result.Value})
        Next
        ListBox1.ItemsSource = myImageInfo
    End Sub

    Private Sub ListBox1_SelectionChanged(sender As Object, e As SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        myUri = DirectCast(ListBox1.SelectedItem, ImageInfo).ImageName
        addButton.IsEnabled = True
    End Sub

    Private Async Sub addButton_Click(sender As Object, e As RoutedEventArgs) Handles addButton.Click
        Dim uriLogo = New Uri(myUri)
        Dim currentTime = DateTime.Now
        Dim TileArgs = "タイルを追加した時刻=" & currentTime
        Dim myTile = New SecondaryTile("SecondaryTile." & (ListBox1.SelectedIndex + 1).ToString("00"), "タイルの名前", "SecondaryTile Sample", TileArgs, TileOptions.ShowNameOnWideLogo, uriLogo)
        myTile.ForegroundText = ForegroundText.Dark
        myTile.WideLogo = uriLogo
        Dim result = Await myTile.RequestCreateAsync()
        If result = True Then
            deleteButton.IsEnabled = True
        Else
            deleteButton.IsEnabled = False
        End If

    End Sub

    Private Async Sub deleteButton_Click(sender As Object, e As RoutedEventArgs) Handles deleteButton.Click
        Dim deleteTile = New SecondaryTile("SecondaryTile." & (ListBox1.SelectedIndex + 1).ToString("00"))
        Dim result = Await deleteTile.RequestDeleteAsync()

        If result = True Then
            Dim message = New MessageDialog("ピンを外しました。")
            Await message.ShowAsync()
        Else
            Dim message = New MessageDialog("ピンを外せません。")
            Await message.ShowAsync()
        End If
    End Sub

    

End Class
